<?php
/**
 * Created by PhpStorm.
 * User: joseortiz
 * Date: 10/15/18
 * Time: 7:12 p.m.
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_remitente']) && isset($_REQUEST['id_destinatario']) && isset($_REQUEST['mensaje'])) {
            if (isset($_REQUEST['id_conversacion'])){
                $id_conversacion = $_REQUEST['id_conversacion'];
                echo "aqui entra";
                $conversacion1  = R::load('conversacion', $id_conversacion);
                if ($conversacion1){
                    echo "estado";
                    echo $conversacion1->estado;
                    if ($conversacion1->estado == 0){
                        include '../comun/mensajeNoCorresponde.php';
                        return;
                    }

                }
            }else{
                $conversacion = R::dispense('conversacion');
                $conversacion->id_remitente = $_REQUEST['id_remitente'];
                $conversacion->id_destinatario = $_REQUEST['id_destinatario'];
                $conversacion->fechaRegistro = date('Y-m-d H:i:s');
                $conversacion->estado = 1;
                $idcon = R::store($conversacion);
            }
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $mensaje = R::dispense('mensaje');
            $mensaje->id_remitente = $_REQUEST['id_remitente'];
            $mensaje->id_destinatario = $_REQUEST['id_destinatario'];
            $mensaje->mensaje = $_REQUEST['mensaje'];
            $mensaje->id_condominio = $condominio["condominio_id"];
            $mensaje->id_autor = $creadoPor;
            $mensaje->fechaRegistro = date('Y-m-d H:i:s');
            $mensaje->estado = 1;
            $id = R::store($mensaje);
            include '../comun/mensajeCreado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}